cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1012
Views
0
Helpful
7
Replies
jaheshkhan
Enthusiast

AP 1850 - Android and iphone cannot connect to SSID

AP 1850 installed with 8.10.151 version. All APs are controlled by Mobility Express controller. users complained that they cannot connect as below:

windows users are able to get connected

android and iphone mobiles are not connecting.

we found android 10 and above only able to get connected to WPA 3 and not to WPA 2

so we enabled both WPA2 and WPA3

now android phones are able to get connected but iphone mobiles cannot get connected.

 

when only WPA2 enable  now iphone can connect to SSID and android cannot.

 

What could be the reason? 

 

Temporarily we solved the issue as below.

we created separate SSID for iphone and android phones separately  and its working fine.

SSID for iphone only WPA2 security enabled.

SSID for android both WPA2 and WPA3 enabled.

 

But client want to use one SSID instead of two.

 

what could be the reason? Do we need to upgrade to 8.10.162.0 ? will it solve the issue?

 

7 REPLIES 7
Leo Laohoo
VIP Community Legend


@jaheshkhan wrote:

so we enabled both WPA2 and WPA3


This is the reason. 

Enable WPA3 only if 110% clients support it.  

kindly note WPA3 was not enabled initially. only WPA2 was enabled. intermittently faced all devices(even sometimes windows laptop) were not able to get connected to network.

 

Then we enabled WPA3 for new SSID . then android 10 and above were able to get connected this SSID but not iphone.

then we create separate SSID that enabled only WPA2. then android 10 and above cannot connect to this SSID but iphone can..

 

But still we heard users facing issue sometime with windows laptops ended up with connectivity issue as "can't connect"

Leo Laohoo
VIP Community Legend

Is PMF configured for "Required"?

kindly note this is not WLC its mobility express. is PMF available in mobility express? we only did default setup.. nothing else.

Bill_Mo
Beginner

I encountered the same problem.

 

When set to WPA2,  android 10 cannot connect to WIFI.

When set to WPA2 and WPA3, iphone cannot connect to WIFI.

 

Mobility Express version 8.10.151.0

AP 1852i and AP 1815m

Somebody in other forum mentioned if upgraded this problem got solved. did you try that? I didnt get the opportunity to do that.

May I ask that upgrade to which version (8.10.162 or 8.10.171) would solve this problem? 

 

8.10.151 is the officially recommended version. Cannot believe that this basic function (both iphone and android could connect to the AP) could not be satisfied by the Cisco recommended version ....

 

Someone mentioned that if downgrade Mobility Express to version 8.8 or v8.5, will solve the problem. But v8.8 or v8.5 cannot be downloaded. Would someone have clue how to download lower version 8.8 or 8.5 of ME ?

Create
Recognize Your Peers
Content for Community-Ad